MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028353Community[OCCT] OCCT:Samplespublic2017-01-13 15:282017-09-29 16:24
ReporterBenjaminBihler 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028353: Samples - IESample cannot write files to paths with special characters
DescriptionConverting file names into latin charcode is incorrect. See example line:

status = writer.Write( (Standard_CString)file.toLatin1().constData() );
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027880closedbugmaster Open CASCADE Samples - fix handling of Unicode paths within MFC import/export sample 
related to 0026723closedbugmaster Open CASCADE Qt IE sample can not import STEP and IGES files with names containing not ascii symbols 
child of 0022484closedbugmaster Open CASCADE UNICODE characters support. 

-  Notes
(0062577)
git (administrator)
2017-01-13 15:38

Branch CR28353 has been created by BenjaminBihler.

SHA-1: 85b787febc5314b1b712d7d51f110778edead770


Detailed log of new commits:

Author: Benjamin Bihler
Date: Fri Jan 13 13:29:58 2017 +0100

    0028353: IESample cannot write files to paths with special characters
    
    Changed charcode conversion to UTF-8.
(0062581)
kgv (developer)
2017-01-13 16:09

Dear bugmaster,

please check the sample on Windows and Linux with different scenarios of using UNICODE file paths (e.g. in file names of imported and exported files, in folders, with mixed symbols from French and German languages).
(0062697)
apv (tester)
2017-01-17 13:12

Dear BugMaster,

Branch CR28353 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 85b787febc5314b1b712d7d51f110778edead770

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1138

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 93335914 / 92921144 [+0.45%]
Total CPU difference: 21078.890000000138 / 21505.8700000003 [-1.99%]

Testing on Windows:
Total MEMORY difference: 58632037 / 58649007 [-0.03%]
Total CPU difference: 19441.40622359854 / 19749.742200098677 [-1.56%]
(0062698)
apv (tester)
2017-01-17 13:13

Manual testing of IESample on Windows and Linux - OK
(0063611)
git (administrator)
2017-02-08 11:36

Branch CR28353 has been deleted by kgv.

SHA-1: 85b787febc5314b1b712d7d51f110778edead770

- Related Changesets
occt: master 6cfc06f0
Timestamp: 2017-01-13 12:29:58
Author: BenjaminBihler
Committer: apn
Details ] Diff ]
0028353: Samples - IESample cannot write files to paths with special characters

Changed charcode conversion to UTF-8.
mod - samples/qt/Common/src/MDIWindow.cxx Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - samples/qt/Interface/src/Translate.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-13 15:28 BenjaminBihler New Issue
2017-01-13 15:28 BenjaminBihler Assigned To => BenjaminBihler
2017-01-13 15:38 git Note Added: 0062577
2017-01-13 15:43 BenjaminBihler Assigned To BenjaminBihler => bugmaster
2017-01-13 15:43 BenjaminBihler Status new => resolved
2017-01-13 15:43 BenjaminBihler Steps to Reproduce Updated View Revisions
2017-01-13 16:09 kgv Note Added: 0062581
2017-01-13 16:09 kgv Status resolved => reviewed
2017-01-13 16:09 kgv Summary IESample cannot write files to paths with special characters => Samples - IESample cannot write files to paths with special characters
2017-01-13 16:10 kgv Relationship added child of 0022484
2017-01-13 16:10 kgv Relationship added related to 0027880
2017-01-13 16:28 apv Assigned To bugmaster => apv
2017-01-13 19:39 kgv Relationship added related to 0026723
2017-01-16 17:27 apv Test case number => Not needed
2017-01-17 13:12 apv Note Added: 0062697
2017-01-17 13:12 apv Assigned To apv => bugmaster
2017-01-17 13:12 apv Status reviewed => tested
2017-01-17 13:13 apv Note Added: 0062698
2017-01-20 16:12 apn Changeset attached => occt master 6cfc06f0
2017-01-20 16:12 apn Assigned To bugmaster => apn
2017-01-20 16:12 apn Status tested => verified
2017-01-20 16:12 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063611
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker